Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis2.deployment.resolver
Class WarFileBasedURIResolver

    java.lang.Object
      org.apache.ws.commons.schema.resolver.DefaultURIResolver
          org.apache.axis2.deployment.resolver.WarFileBasedURIResolver

All Implemented Interfaces:
  org.apache.ws.commons.schema.resolver.CollectionURIResolver, org.apache.ws.commons.schema.resolver.URIResolver

    public class WarFileBasedURIResolver

extends org.apache.ws.commons.schema.resolver.DefaultURIResolver

Field Summary
`protected static org.apache.commons.logging.Log` | `log`

Constructor Summary
`WarFileBasedURIResolver(java.lang.ClassLoader classLoader)`

Method Summary
`org.xml.sax.InputSource` | `resolveEntity(java.lang.String targetNamespace, java.lang.String schemaLocation, java.lang.String baseUri)`

Methods inherited from class org.apache.ws.commons.schema.resolver.DefaultURIResolver
`getCollectionBaseURI, getFileURL, getURL, isAbsolute, setCollectionBaseURI`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    protected static final org.apache.commons.logging.Log log

Constructor Detail

### WarFileBasedURIResolver

    public WarFileBasedURIResolver(java.lang.ClassLoader classLoader)

Method Detail

### resolveEntity

    public org.xml.sax.InputSource resolveEntity(java.lang.String targetNamespace,
                                                 java.lang.String schemaLocation,
                                                 java.lang.String baseUri)

  Specified by:
    `resolveEntity` in interface `org.apache.ws.commons.schema.resolver.URIResolver`
  Overrides:
    `resolveEntity` in class `org.apache.ws.commons.schema.resolver.DefaultURIResolver`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2011 The Apache Software Foundation. All Rights Reserved.